# meca_vol
Ce dossier regroupe l'ensemble des scripts python de calcul liés à la mécanique de vol, et aux calculs de trajectoire.

## Dépendance
Pour executer ces codes, il faut disposer de :

* python==3.6

Ainsi que des bibliothèques (selon le fichier requirements.txt) :

* cycler==0.10.0
* kiwisolver==1.1.0
* matplotlib==3.0.3
* numpy==1.16.3
* pandas==0.24.2
* pyparsing==2.4.0
* python-dateutil==2.8.0
* pytz==2019.1
* six==1.12.0
* Sphinx==2.0.1

## Installation
Apres le telechargement du projet avec git:
$ git clone https://code.electrolab.fr/adastra/meca_vol

L'installation peut etre faite facilement dans un environment virtuel:
$ python3 -m venv venv
$ . venv/bin/activate
$ pip3 install -r requirements.txt

## Usage
Le premier script qui fait un benchmark d'etagement est:
$ ./etagement.py

Une image doit etre genere qui montre l'osp en fonction de la masse totale
pour plusieur configuration de payload.

## À faire
... ?
